## sourmash 4.8.14

=== Makefile ===
PYTHON ?= python

all: build

.PHONY:

build: .PHONY
	$(PYTHON) -m pip install -e .

clean:
	$(PYTHON) -m pip uninstall -y sourmash
	rm -rf src/sourmash/_lowlevel
	cd doc && make clean

install: build

dist: FORCE
	$(PYTHON) -m build --sdist

test: .PHONY
	tox -e py310
	cargo test

doc: .PHONY
	tox -e docs

include/sourmash.h: src/core/src/lib.rs \
                    src/core/src/ffi/mod.rs \
                    src/core/src/ffi/hyperloglog.rs \
                    src/core/src/ffi/minhash.rs \
                    src/core/src/ffi/signature.rs \
                    src/core/src/ffi/nodegraph.rs \
                    src/core/src/ffi/index/mod.rs \
                    src/core/src/ffi/index/revindex.rs \
                    src/core/src/ffi/storage.rs \
                    src/core/src/errors.rs \
                    src/core/cbindgen.toml
	cd src/core && \
	RUSTC_BOOTSTRAP=1 cbindgen -c cbindgen.toml . -o ../../$@

coverage: all
	tox -e coverage

benchmark:
	tox -e asv
	cargo bench

check:
	cargo build
	cargo test
	cargo bench

last-tag:
	git fetch -p -q; git tag -l | sort -V | tail -1

wasm:
	wasm-pack build src/core -d ../../pkg

wasm-test:
	wasm-pack test --node src/core

wasi:
	cargo wasi build

FORCE:

=== debian/changelog ===
sourmash (4.8.14-3) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/control: Add the Debian Rust team to the uploaders to signal that
    they should feel free to make new uploads fixing the Rust side of
    this package.

  [ Peter Michal Green ]
  * Remove upper limit from cargo dependency on rkyv (Closes: #1095393).

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 17:59:52 +0100

sourmash (4.8.14-2) unstable; urgency=medium

  * Added patch to remove timeout for two tests that were too slow on
    riscv64.
  * d/rules: delete ".gitignore" files from the binary packages
  * Build and install the manual page for sourmash, using sphinx.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 11:50:45 +0100

sourmash (4.8.14-1) unstable; urgency=medium

  * Initial release. (Closes: #919681)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:03:51 +0100

=== debian/control ===
Source: sourmash
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               architecture-is-little-endian,
               cargo,
               dh-cargo,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-ipython <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-sphinx-design <!nodoc>,
               pandoc <!nodoc>,
               librust-az-dev,
               librust-byteorder-dev,
               librust-counter-dev,
               librust-camino-dev,
               librust-cfg-if-dev,
               librust-csv-dev,
               librust-enum-dispatch-dev,
               librust-fixedbitset-dev,
               librust-getset-dev,
               librust-histogram-dev,
               librust-itertools-dev,
               librust-log-dev,
               librust-md5-dev,
               librust-memmap2-dev,
               librust-murmurhash3-dev,
               librust-needletail-dev,
               librust-niffler-dev,
               librust-nohash-hasher-dev,
               librust-num-iter-dev,
               librust-once-cell-dev,
               librust-ouroboros-dev,
               librust-piz-dev,
               librust-primal-check-dev,
               librust-rayon-dev,
               librust-rkyv-dev,
               librust-roaring-dev,
               librust-roots-dev,
               librust-serde+serde-derive-dev,
               librust-serde-json-dev,
               librust-statrs-dev,
               librust-streaming-stats-dev,
               librust-twox-hash-dev,
               librust-typed-builder-dev,
               librust-vec-collections-dev,
               librust-chrono-dev,
               librust-rocksdb-dev,
               pybuild-plugin-pyproject,
               python3-maturin,
               python3-bitstring,
               python3-cachetools,
               python3-cffi,
               python3-all-dev,
	       python3-ijson,
               python3-matplotlib,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-scipy,
	       python3-sphinx,
               python3-screed,
               python3-setuptools,
	       python3-setuptools-scm,
               python3-yaml,
               python3-hypothesis <!nocheck>,
               python3-deprecation <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/sourmash
Vcs-Git: https://salsa.debian.org/med-team/sourmash.git
Homepage: https://github.com/dib-lab/sourmash
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: sourmash
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: tools for comparing DNA sequences with MinHash sketches
 Compute MinHash signatures for nucleotide (DNA/RNA) and protein sequences.
 .
 MinHash sketches provide a lightweight way to store “signatures” of large DNA
 or RNA sequence collections, and then compare or search them using a Jaccard
 index. MinHash sketches can be used to identify samples, find similar samples,
 identify data sets with shared sequences, and build phylogenetic trees
 (Ondov et al. 2015).
 .
 sourmash provides a command line script, a Python library, and a CPython
 module for MinHash sketches.
 .
 These tools provide functionality previously handled by the 'khmer' package.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_TEST_ARGS=-k 'not (test_sqlite_lca_db_create_readonly or test_compare_no_such_file or test_metagenome_kreport_out_fail or test_do_sourmash_index_multiscaled_rescale_fail)'
# test_sqlite_lca_db_create_readonly, fails when building as root
# test_compare_no_such_file. due to the ValueError being swallowed (?)
# test_metagenome_kreport_out_fail, same as test_compare_no_such_file
# test_do_sourmash_index_multiscaled_rescale_fail, same as above


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(shell pybuild --pyver $$(py3versions -dv) --print build_dir | awk "-F:\ " '{print $$2}') python3 -m sphinx -bman doc build/man

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	# needed because we patch Cargo.toml
	cargo generate-lockfile --manifest-path src/core/Cargo.toml --offline

execute_after_dh_auto_install:
	/usr/share/cargo/bin/dh-cargo-built-using sourmash
	find debian -name .gitignore -delete

override_dh_python3:
	dh_python3 --no-ext-rename

## sourmash 4.9.4

=== Makefile ===
--- 
+++ 
@@ -14,12 +14,18 @@
 
 install: build
 
+offline:
+	pip install -e . --no-index --find-links '.' --no-build-isolation
+
 dist: FORCE
 	$(PYTHON) -m build --sdist
 
+wheel:
+	$(PYTHON) -m maturin build -r
+
 test: .PHONY
-	tox -e py310
-	cargo test
+	tox -e py311
+	cargo nextest run
 
 doc: .PHONY
 	tox -e docs
@@ -33,10 +39,12 @@
                     src/core/src/ffi/index/mod.rs \
                     src/core/src/ffi/index/revindex.rs \
                     src/core/src/ffi/storage.rs \
+                    src/core/src/ffi/manifest.rs \
                     src/core/src/errors.rs \
                     src/core/cbindgen.toml
 	cd src/core && \
-	RUSTC_BOOTSTRAP=1 cbindgen -c cbindgen.toml . -o ../../$@
+	RUSTC_BOOTSTRAP=1 cbindgen -c cbindgen.toml . -o ../../$@ -v && \
+	touch ../../$@
 
 coverage: all
 	tox -e coverage
@@ -47,17 +55,17 @@
 
 check:
 	cargo build
-	cargo test
+	cargo nextest run
 	cargo bench
 
 last-tag:
 	git fetch -p -q; git tag -l | sort -V | tail -1
 
 wasm:
-	wasm-pack build src/core -d ../../pkg
+	wasm-pack build src/core -d ../../pkg -- --features 'niffler/wasm'
 
 wasm-test:
-	wasm-pack test --node src/core
+	wasm-pack test --node src/core -- --features 'niffler/wasm'
 
 wasi:
 	cargo wasi build

=== requirements.txt ===
-e .[all]

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

all: html

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
   $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sourmash.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sourmash.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sourmash"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sourmash"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
sourmash (4.9.4-4) unstable; urgency=medium

  * Team upload.
  * Drop <!nocheck> from python3-deprecation in BD. Closes: #1116915.
  * d/control: Drop "Priority: optional". It's the default.
  * d/control: Drop "Rules-Requires-Root: no". It's the default.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 20:30:00 +0200

sourmash (4.9.4-3) unstable; urgency=medium

  * Removed the liblzma pin. Closes: #1115589.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Sep 2025 19:03:19 +0200

sourmash (4.9.4-2) unstable; urgency=medium

  * Upgrade to needletail 0.6. Closes: #1115342.
  * Upstream uses ouroboros 0.18 which is newly introduced into Debian,
    so use it instead of forcing a downgrade.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Sep 2025 14:57:17 +0200

sourmash (4.9.4-1) unstable; urgency=medium

  * New upstream version. Closes: #1114393
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Dropped "skip_from-finch_feature", upstream
    removed the conversion from Finch in version 4.9.0.
  * Added a new patch to adapt to the older version of the md5 Rust crate in
    Debian.
  * docs: new build-dep of python3-sphinx-copybutton.
  * d/rules: parallelize the pytest respecting DEB_BUILD_OPTION_PARALLEL
  * Install the README
  * d/rules: set MPLCONFIGDIR

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Sep 2025 12:06:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sourmash
 Section: python
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
@@ -15,6 +14,7 @@
                python3-ipython <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-sphinx-design <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                pandoc <!nodoc>,
                librust-az-dev,
                librust-byteorder-dev,
@@ -31,7 +31,7 @@
                librust-md5-dev,
                librust-memmap2-dev,
                librust-murmurhash3-dev,
-               librust-needletail-dev,
+               librust-needletail-dev (>> 0.6),
                librust-niffler-dev,
                librust-nohash-hasher-dev,
                librust-num-iter-dev,
@@ -70,12 +70,11 @@
 	       python3-setuptools-scm,
                python3-yaml,
                python3-hypothesis <!nocheck>,
-               python3-deprecation <!nocheck>
-Standards-Version: 4.7.0
+               python3-deprecation
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/sourmash
 Vcs-Git: https://salsa.debian.org/med-team/sourmash.git
 Homepage: https://github.com/dib-lab/sourmash
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: sourmash

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 include /usr/share/dpkg/default.mk
 include /usr/share/rustc/architecture.mk
+export PYTEST_XDIST_AUTO_NUM_WORKERS=$(DEB_BUILD_OPTION_PARALLEL)
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
 export PATH := /usr/share/cargo/bin:$(PATH)
+export MPLCONFIGDIR=$(CURDIR)
 export CARGO=/usr/share/cargo/bin/cargo
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
 export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
	https://api.github.com/repos/sourmash-bio/sourmash/releases?per_page=100 \
	https://api.github.com/repos/sourmash-bio/sourmash/tarball/@ANY_VERSION@
